:root {
  /* Primary Colors */
  --main-color: #D4AF37; 
  --dark: #0F0F0F;
  --dark-secondary: #1A1A1A; 
  --light: #F5F5F5;
  --gray: #B3B3B3;
  --silver: #E0E0E0;
  --gold-hover: #B59025;
  --transition: 0.3s ease-in-out;
  --font: 'Work Sans', sans-serif;
}

/* ===== Global Styles ===== */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  height: fit-content;
  font-family: 'Jost', sans-serif;
  color: var(--dark);
  line-height: 1.6;
  background-color: var(--dark);
}

a {
  text-decoration: none;
  color: inherit;
  transition: var(--transition);
}

img {
  max-width: 100%;
  display: block;
}
.containeer{
  display: flex;
  flex-direction: column;
  gap: 5rem;
}


/* ===== Header ===== */
.header-area {
  background: var(--dark-secondary);
  box-shadow: 0 2px 10px rgba(0,0,0,0.08);
  position: sticky;
  top: 0;
  z-index: 1000;
}


.header-area .area-1,
.header-area .area-2 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.5rem 7rem;
}

/* ===== Area 1 ===== */
.container.area-1 a {
  position: relative;
  color: var(--main-color);
  margin-right: 15px;
  transition: color var(--transition);
  padding: 0 5px;
  font-size: 0.85rem;
}

.container.area-1 a::before,
.container.area-1 a::after {
  content: '';
  position: absolute;
  top: 0;
  height: 100%;
  width: 1px;
  background-color: var(--light);
  transform: scaleY(0);
  transition: transform var(--transition);
}

.container.area-1 a::before {
  left: 0;
  transform-origin: top;
}

.container.area-1 a::after {
  right: 0;
  transform-origin: bottom;
}

.container.area-1 a:hover::before,
.container.area-1 a:hover::after {
  transform: scaleY(1);
}

.container.area-1 a:hover {
  color: var(--light);
}

/* ===== Area 2 ===== */
.container.area-2 .left-area {
  display: flex;
  align-items: center;
  gap: 0rem;
  color: var(--main-color);
  font-family: 'Clicker Script', cursive;
}
.container.area-2 .left-area img {
  width: 100px;
  height: auto;
  border-radius: 50%;
  object-fit: contain;
}

.header-area .area-2 .center-area nav ul {
  display: flex;
  gap: 1.5rem;
  list-style: none;
}
.header-area .area-2 .center-area nav ul li {
  position: relative;
}

/* links in area-2 */
.header-area .area-2 .center-area nav ul li a {
  position: relative;
  display: inline-block;
   font-size: 1rem;
  padding: 3px 8px;
  color: var(--main-color);
  transition: color 0.3s ease;
}

/* top & bottom */
.header-area .area-2 .center-area .link-center::before {
  content: "";
  position: absolute;
  inset: 0;
  border-top: 1px solid var(--light);
  border-bottom: 1px solid var(--light);
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease;
}

/* left & right */
.header-area .area-2 .center-area .link-center::after {
  content: "";
  position: absolute;
  inset: 0;
  border-left: 1px solid var(--light);
  border-right: 1px solid var(--light);
  transform: scaleY(0);
  transform-origin: top;
  transition: transform 0.3s ease;
}

/* hover */
.header-area .area-2 .center-area nav ul li a:hover::before {
  transform: scaleX(1);
}

.header-area .area-2 .center-area nav ul li a:hover::after {
  transform: scaleY(1);
}
.header-area .area-2 .right-area a i {
  color: var(--main-color);
  font-size: 1rem; 
  margin-left: 0.5rem;
}
.header-area .area-2 .right-area .bag {
    position: relative;
}

.header-area .area-2 .right-area .bag::after {
    content: "2";
    position: absolute;
    top: -8px;
    right: -8px;
    background: rgb(248, 57, 57);
    color: white;
    font-size: 12px;
    font-weight: bold;
    width: 18px;
    height: 18px;
    text-align: center;
    line-height: 18px;
    border-radius: 50%;
}



.header-area .area-2 .center-area nav ul li a:hover,
.header-area .area-2 .right-area  a i:hover {
  color: var(--light);
}
/* ===== Dropdown Menu ===== */
.header-area .area-2 .center-area .drop-menue {
  width: 280px;
  padding: 15px;
  display: flex;
  flex-direction: row;
  gap: 1rem;
  background: var(--dark-secondary);
  justify-content: flex-start;
  position: absolute;
  top: calc(100% + 10px);
  left: 0;
  border-radius: 8px;
  box-shadow: 0 5px 15px rgba(0,0,0,0.1);
  transition: all 0.3s ease;
  visibility: hidden;
  opacity: 0;
  transform: translateY(-10px);
  z-index: 999;
}


.header-area .area-2 .center-area ul li:hover .drop-menue {
  visibility: visible;
  opacity: 1;
  transform: translateY(0);
}

.header-area .area-2 .center-area .drop-menue ul {
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
  padding-left: 0;
  margin: 0;
  list-style: none;
}

.header-area .area-2 .center-area .drop-menue .first-li {
  color: var(--light);
  width: fit-content;
  height: 30px;
  margin-bottom: 10px;
  font-weight: 500;
  border-bottom: 1px dotted var(--light);
}

.header-area .area-2 .right-area a {
  margin-left: 1rem;
  font-size: 1.2rem;
  color: var(--dark);
}

/* ===== Top Notification Area ===== */
.header-area .area-3 {
  background: var(--main-color);
  color: var(--blue-accent);
  text-align: center;
  padding: 0.3rem;
  font-size: 0.8rem;
}

.header-area .area-3 a {
  text-decoration: underline;
  color: rgb(190, 39, 39);
  font-size: 1rem;
}

/* ===== Main Hero ===== */
.main-background {
  width: 100%;
  height: 90vh;
  background: url(../images/hero.jpeg) center/cover no-repeat;
  position: relative;
}

.main-background::after {
  content: '';
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.4);
}

.main-background .text-center {
  width: 500px;
  text-align: center;
  position: absolute;
  top: 25%;
  left: 15%;
}

.main-background span {
  color: var(--main-color);
  font-family: 'Clicker Script', cursive;
  font-size: 40px;
}

.main-background h1 {
  font-size: 36px;
  color: var(--light);}

.main-background p {
  width: 400px;
  font-size: 16px;
  color: var(--gray);
  margin: 20px auto;
  padding: 0 20px;
}

.main-background a {
  position: relative;
  z-index: 1;
  background: var(--main-color);
  color: #fff;
  font-size: 14px;
  padding: 8px 16px;
  display: inline-block;
  border: 1px solid transparent;
  transition: background 0.5s, color 0.5s, border 0.5s;
}

.main-background a:hover {
  background: var(--gold-hover);
  color: var(--light);
}

/* ===== Sections ===== */
/* Section one */
.section-one{
  padding-top: 5rem;
}
.section-one .type-product {
  width: 80%;
  display: grid;
  margin: auto;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 4rem;
  padding: 3rem 2rem;
}
.section-one .type-product .div::after{
    content: "";
    background-image: linear-gradient(to top,#000000,#00000005);
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 1;
}

.section-one .div1,
.section-one .div3 {
  position: relative;
  overflow: hidden;
  border-radius: 5px;
  height: 400px;
}

.section-one .div1 img,
.section-one .div3 img {
  
  width: auto;
  transition: transform var(--transition);
  width: 100%;
  height: 500px;
  object-fit: cover;
  display: block;
}

.section-one .div1:hover img,
.section-one .div3:hover img {
  filter: brightness(70%);
  transform: scale(1.1);
}

.section-one .product {
  width: 100%;
  bottom: 0;
  position: absolute;
  bottom: 1rem;
  color: #fff;
}
.section-one .product h2 {
  
  color: var(--light);
  text-align: center;
  font-size: 1.5rem;
  font-weight: 600;
  transform: translateY(30px);
  transition: transform 0.9s ease-out;
}
.section-one .div1:hover .product h2,
.section-one .div3:hover .product h2 {
  transform: translateY(0); 
  transition-delay: 0.2s;
}

.section-one .product a {
  display: block;
  margin-top: 0.5rem;
  text-align: center;
  color: var(--main-color);
  text-decoration: underline;
  font-size: 1rem;
  opacity: 0;
  transform: translateY(20px);
transition: opacity 0.9s ease, transform 0.9s ease;
}
.section-one .product a:hover {
  color: var(--gold-hover);}

.section-one .div1:hover .product a,
.section-one .div3:hover .product a {
  opacity: 1;
  transform: translateY(0);
  transition-delay: 0.2s;
}

/* End Section one  */
.section-two,
.section-four {
  width: 80%;
  margin: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 3rem 2rem;
  position: relative;
}
.trend-area .left,
.trend-area .right {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 24px;
  color: var(--main-color);
  cursor: pointer;
  z-index: 10;
}
.trend-area .left {
  left: -20px; 
}

.trend-area .right {
  right: -20px;
}

.trend-area .left:hover,
.trend-area .right:hover {
  color: var(--gold-hover);
  transform: translateY(-50%) scale(1.1);
}

.trending {
    min-height: 50px;
    border-bottom: 1px solid #16161a70;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    color: var(--gold-hover);
}
hr{
  border: 1px solid var(--gold-hover); 
}
.trending a{
    height: 65px;
    margin-left: 25px;
    font-size: 20px;
}
.trending .link-select{
    color: var(--main-color);
    padding-bottom: 5px;
    border-bottom: 2px solid var(--main-color);
}
.product-trend {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 3rem;
  margin-top: 1rem;
}
.trend-area .product-trend > div {
  position: relative;
  overflow: hidden;
}

.trend-area .product-trend > div::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1;
  height: calc(100% - 4rem);
  background: url(../images/like3.jpg) center / cover no-repeat;
  backface-visibility: hidden;
  transform: rotateY(180deg);
  opacity: 0;
  transition: transform 0.8s ease, opacity 0.8s ease;
}
.trend-area .product-trend > div:hover::after {
  transform: rotateY(0deg);
  opacity: 1;
}
.product-trend div img {
  width: 100%;
  aspect-ratio: 3 / 4;
  object-fit: cover;
}

.product-trend div {
  background: var(--dark);
  color: var(--light);
  /* padding: 1rem; */
  border-radius: 4px;
  text-align: center;
  transition: transform var(--transition), box-shadow var(--transition);
  position: relative;
}

.product-trend div:hover {
  transform: translateY(-5px);
  box-shadow: 0 10px 20px rgba(0,0,0,0.1);
}

.product-trend .icon {
  position: absolute;
  left: 50%;
  bottom: 80px;
  transform: translateX(-50%);
  display: flex;
  gap: 1.5rem;
  padding: 6px 14px;
  height: auto;
  opacity: 0;
  transition: opacity var(--transition), transform var(--transition);
  z-index: 2;
}


.product-trend div:hover .icon {
  opacity: 1;
  transform: translateX(-50%) translateY(-10px);
}


.product-trend  a {
  display: block;
  padding: 8px 16px;
  margin-top: -4px;
  font-weight: 500;
}
.product-trend .icon a:hover{
  background-color: var(--main-color);
}

.product-trend p span {
  text-decoration: line-through;
  color: var(--main-color);
}

/* ===== Testimonial ===== */
.section-three {
  position: relative; 
  background: var(--dark-secondary);
  text-align: center;
  color: var(--light);
  overflow: visible;
  z-index: 1;
}

.section-three::before,
.section-three::after,
.section-five::before,
.section-five::after{
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: var(--main-color);
  z-index: 999; 
}

.section-three::before,
 .section-five::before {
  top: 0;
}

.section-three::after,
.section-five::after 
{
  bottom: 0;
}


.customer{
    width: 80%;
    margin: auto;
    min-height: 400px;
    margin-top: 70px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    background-color: var(--dark-secondary);
    position: relative;
}
h2{
      font-size: 30px;
    color: var(--main-color);
}
.customer p{
          max-width: 600px;
    text-align: center;
    font-size: 24px;
    line-height: 1.5;
    color: var(--light);
}
.customer div{
      display: flex;
    align-items: center;
}
.customer div img{
    width: 80px;
    height: 80px;
    border-radius: 50%;
}
.customer .name-customer{
  display: flex;
  flex-direction: column;
      margin-left: 10px;
}
.customer .name-customer h4{
     color: var(--main-color);
    padding-bottom: 5px;
}
.customer .name-customer p{
      color: var(--silver);
}
.customer .left,
.customer .right {
  position: absolute;
  top: 50%;
  color: var(--main-color);
  transform: translateY(-50%);
  font-size: 30px;
  cursor: pointer;
}
.customer .left {
  left: 150px; 
}
.customer .right {
  right: 150px; 
}
.customer .left:hover,
.customer .right:hover {
  color: var(--gold-hover);
  transform: translateY(-50%) scale(1.1);
}
 
/* section-four */
.section-four .trending{
  display: flex;
  justify-content: center;
}
.like-area .product-trend > div {
  position: relative;
  overflow: hidden;
  border-radius: 4px;
}


.like-area .product-trend > div::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1;
height: calc(100% - 4rem);
  background: url(../images/items1-sec1.jpg) center / cover no-repeat;

  opacity: 0;
  transform: translateY(-100%);
  transition: transform 0.5s ease, opacity 0.5s ease;
}

.like-area .product-trend img {
  width: 100%;
  aspect-ratio: 3 / 4;
  object-fit: cover;
  display: block;
}


.like-area .product-trend > div:hover::after {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}


/* ===== Section Five ===== */
.section-five {
  position: relative;
    padding: 3rem 2rem;
    background-color: var(--dark-secondary); 
    text-align: center;
}

.section-five h2 {
    font-size: 2rem;
    margin-bottom: 3rem;
    font-weight: bold;
    color: var(--main-color);
}

.latest-news {
  width: 80%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    gap: 2rem;
    flex-wrap: wrap;
}

.latest-news div {
    background-color: var(--dark);
    border-radius: 4px;
    overflow: hidden;
    box-shadow: 0 4px 15px rgba(0,0,0,0.05);
    flex: 1 1 calc(33.333% - 2rem);
    max-width: calc(33.333% - 2rem);
    text-align: left;
}

.latest-news img {
    width: 100%;
    height: 400px;
    display: block;
   transition: transform 0.3s ease;  
}

.latest-news img:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 25px rgba(0,0,0,0.1);
}

.latest-news span {
    display: block;
    font-size: 0.85rem;
    color: var(--gray);
    margin: 1rem 1rem 0.5rem 1rem;
}

.latest-news a:first-of-type {
    display: block;
    font-size: 1.1rem;
    font-weight: 600;
    color: var(--light);
    text-decoration: none;
    margin: 0 1rem 0.5rem 1rem;
}

.latest-news a:first-of-type:hover {
    color: var(--gold-hover);
}
.latest-news div:hover a:first-of-type {
    color: var(--gold-hover);
}


.latest-news p {
    font-size: 0.9rem;
    color: var(--gray);
    margin: 0 1rem 1rem 1rem;
    line-height: 1.4;
}

.latest-news .more {
    display: inline-block;
    margin: 0 1rem 1rem 1rem;
    font-size: 0.9rem;
    font-weight: 400;
    text-decoration: underline;
    color: var(--light);
    transition: color 0.3s ease;
    transition-delay: 0.1s;
}

.latest-news .more:hover {
    color: var(--gold-hover);
    transform: scale(1.05);
    box-shadow: 0 8px 25px rgba(0,0,0,0.1);
}

.section-six {
  padding: 3rem 2rem;
  background-color: var(--dark);
  text-align: center;
}

/* Grid layout */
.section-six .delivery {
  width: 80%;
  margin: auto;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 40px;
}

/* Item */
.section-six .delivery > div {
  padding: 90px;
  cursor: pointer;
}

/* Icon wrapper */
.section-six .delivery > div > div {
  position: relative;
  width: 40px;
  height: 40px;
  margin: 0 auto 15px;
}

/* All icons */
.section-six i {
  position: absolute;
  top: 0;
  left: 0;
  font-size: 30px;
  color: #9ca3af;
  transition: opacity 0.4s ease, transform 0.4s ease;
}

/* Second icon hidden */
.section-six i#icon {
  opacity: 0;
  transform: translateY(20px);
}

/* Hover swap */
.section-six .delivery > div:hover i {
  opacity: 0;
  transform: translateY(-20px); /* تتحرك لفوق وتختفي */
}

.section-six .delivery > div:hover i#icon {
  opacity: 1;
  transform: translateY(0); /* تظهر من تحت للأعلى */
  color: var(--main-color);
}

/* Text */
.section-six h3 {
  font-size: 18px;
  font-weight: 600;
  color: var(--main-color);
  margin-bottom: 8px;
}

.section-six p {
  font-size: 14px;
  color: var(--light);
  line-height: 1.6;
}


/* Footer Base */
.footer {
  width: 100%;
  position: relative;
  background-color: var(--dark-secondary);
  color: #fff;
  padding: 3rem 2rem ;
  margin-top: 70px;
}

.footer a {
  color: #fff;
  text-decoration: none;
  transition: color 0.3s;
}

.footer a:hover {
  color: var(--main-color);
}

/* Container */
.footer-site {
  width: 80%;
  margin: auto;
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

/* Newsletter Section */
.footer .div1 {
  flex: 1 1 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 2rem;
}
.footer .div1::after{
  content: "";
  width: 100%;
  height: 1px;
  background-color: var(--main-color);
  margin-top: 30px;
}

.footer .div1 h2 {
  font-size: 18px;
  margin-bottom: 8px;
}

.footer .div1 p {
  font-size: 14px;
  color: #ccc;
}

.send-email {
  display: flex;
  gap: 0.5rem;
  margin-top: 10px;
}

.send-email input {
  padding: 8px;
  border: none;
  border-radius: 3px;
  flex: 1;
}

.send-email .subscribe {
  background-color: rgb(220, 55, 55);
  padding: 6px 16px;
  border-radius: 3px;
  color: #fff;
}

/* Social Icons */
.div1 > div:last-child a {
  margin-right: 10px;
  font-size: 20px;
}

/* Footer Columns */
.footer .div2 {
  position: relative;
  flex: 1 1 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}
.footer .div2  h2{
  font-family: 'Clicker Script', cursive;
  display: flex;
  flex-direction: row;
}

.footer .div2 img {
  margin-left: 2rem;
  width: 120px;
  margin-bottom: 1rem;
}

.footer .div2 h3 {
  font-size: 16px;
  margin-bottom: 10px;
  color: var(--main-color);
}

.footer .div2 a {
  display: block;
  margin-bottom: 6px;
  font-size: 14px;
  color: #ccc;
  transition: all 0.3s ease;

}
.footer .div2 a:hover {
  color: var(--main-color);
  text-decoration: underline;
  transform: scale(1.1);
}

/* Copyright */
.footer .div3 {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  border-top: 1px solid var(--main-color);
  padding-top: 30px;
  margin-top: 20px;
  font-size: 13px;
  color: var(--gray);
}
.footer .div3 span{
  color: rgb(220, 55, 55);
}
.footer .div3 span i {
  display: inline-block;
  animation: float 2s ease-in-out infinite;
}

@keyframes float {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-5px);
  }
  100% {
    transform: translateY(0);
  }
}


.footer .div3 a {
  color: rgb(220, 55, 55);
  font-weight: bold;
  font-size: 16px;
}

/* Fade Up Animation */
.fade-up {
  opacity: 0;
  transform: translateY(50px);
  transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.fade-up.show {
  opacity: 1;
  transform: translateY(0);
}























@media (max-width: 992px) {

  /* ===== Header ===== */
  .header-area .area-1,
  .header-area .area-2 {
    padding: 0.5rem 2rem;
  }

  .header-area .area-2 {
    flex-wrap: wrap;
    gap: 1rem;
  }

  .header-area .area-2 .center-area nav ul {
    gap: 1rem;
  }

  /* ===== Hero ===== */
  .main-background {
    height: 70vh;
  }

  .main-background .text-center {
    width: 100%;
    left: 0;
    top: 25%;
    padding: 0 2rem;
  }

  .main-background p {
    width: 100%;
  }

  /* ===== Sections width ===== */
  .section-one .type-product,
  .section-two,
  .section-four,
  .customer,
  .latest-news,
  .section-six .delivery,
  .footer-site {
    width: 95%;
  }

  /* ===== Product Images ===== */
  .product-trend div img,
  .latest-news img {
    height: 300px;
  }

  /* ===== Arrows ===== */
  .trend-area .left,
  .trend-area .right,
  .customer .left,
  .customer .right {
    display: none;
  }
}

@media (max-width: 768px) {

  /* ===== Header ===== */
  .header-area .area-2 {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .header-area .area-2 .center-area nav ul {
    flex-direction: column;
  }

  /* ===== Hero ===== */
  .main-background {
    height: 60vh;
  }

  .main-background span {
    font-size: 28px;
  }

  .main-background h1 {
    font-size: 24px;
  }

  .main-background p {
    font-size: 14px;
  }
   .product-trend .icon {
    bottom: 40px;
    gap: 1rem;
  }

  .product-trend .icon a {
    font-size: 14px;
    padding: 6px;
  }

  /* ===== Products ===== */
  .product-trend {
    grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
  }

  /* ===== Latest News ===== */
  .latest-news div {
    flex: 1 1 100%;
    max-width: 100%;
  }

  /* ===== Delivery ===== */
  .section-six .delivery > div {
    padding: 40px 20px;
  }

  /* ===== Footer ===== */
.footer .div2 {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

/* أول عنصر */
.footer .div2 > h2 {
  width: 100%;
}

/* باقي العناصر */
.footer .div2 > *:not(h2) {
  width: calc(50% - 0.5rem);
}


  .send-email {
    width: 100%;
  }

  .send-email input {
    width: 100%;
  }
}

@media (max-width: 480px) {

  .main-background h1 {
    font-size: 20px;
  }

  h2 {
    font-size: 22px;
  }

  .customer p {
    font-size: 16px;
  }

  .product-trend div img,
  .latest-news img {
    height: 240px;
  }
}
